Bug 196171 - Autofs debuginfo package does not include debug symbols for autofs-4.1.3-184.
Autofs debuginfo package does not include debug symbols for autofs-4.1.3-184.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: autofs (Show other bugs)
3.0
All Linux
high Severity medium
: ---
: ---
Assigned To: Jeffrey Moyer
Brock Organ
: Regression
Depends On:
Blocks: RHEL3U8MustFix
  Show dependency treegraph
 
Reported: 2006-06-21 13:56 EDT by Barry Donahue
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2006-0459
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-20 10:44:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add the DONTSTRIP build option so we generate proper debuginfo (1.18 KB, patch)
2006-06-21 14:36 EDT, Jeffrey Moyer
no flags Details | Diff

  None (edit)
Description Barry Donahue 2006-06-21 13:56:40 EDT
Description of problem:
  Autofs debuginfo does not contain the symbols.

Version-Release number of selected component (if applicable):
  autofs-4.1.3-184.

How reproducible:
100%

Steps to Reproduce:
1.Install autofs-4.1.3-184.
2. find this pid of a running automounter.
3.gdb /usr/sbin/automounter
4.<gdb> attach <pid>
5.<gdb> bt
  
Actual results:
  You will only see hex addresses in the back trace.



Expected results:
  You should see that names of the functions in the trace.


Additional info:
Comment 1 Jeffrey Moyer 2006-06-21 14:36:37 EDT
Created attachment 131309 [details]
Add the DONTSTRIP build option so we generate proper debuginfo
Comment 2 Jeffrey Moyer 2006-06-21 14:37:49 EDT
A fix was built into 4.1.3-186.
Comment 3 Jeffrey Moyer 2006-06-21 15:29:32 EDT
This fix is very low risk, it simply enables a compile-time option to prevent
stripping of automount binaries.  Without the patch, the debuginfo RPM is useless.
Comment 7 Red Hat Bugzilla 2006-07-20 10:44:36 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0459.html

Note You need to log in before you can comment on or make changes to this bug.